<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class c_template_bas_lanjutan_agama extends CI_Controller {

    function index() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); 
        }
    }
    function popup_bas_lanjutan(){
        if($this->session->userdata('is_logged_in')==FALSE){
            redirect('login');
        }  
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encjadwalsidang']=$this->uri->segment('4');
        $idjadwal=$this->encrypt->decode(base64_decode($data['encjadwalsidang']));        
        if(!is_numeric($idjadwal) OR !intval($idjadwal)>0){
            show_404();
            exit();
        }
        
        $this->load->model('generate_template/m_template_bas_lanjutan_agama','template');               
        $data['penandatangan']=$this->template->getDataPA();
        
        $cek_sidang= $this->template->cek_sidang($idperkara, $idjadwal);

        foreach ($cek_sidang->result() as $row) {
            $hadir = $row->hadir;
            if(empty($row->sidang_ikrar)){
                $tahapan_id="14";
            }else{
                $tahapan_id="18";
            }
            if(empty($row->id_kuasa)){
                $kuasa="T";
            }else{
                $kuasa="Y";
            }
        }
        if($tahapan_id=="14"){
            $nomor = "nomor >= '101' AND nomor <= '200'";
        }
        else{
            $nomor= "nomor";
        }
        // print_r($tahapan_id."|".$nomor);
        // exit();


        $data['blangko_bas_lanjutan_agama']=$this->template->blangko_bas_lanjutan_agama($tahapan_id,$nomor);

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $template=$this->template2->getDataDocumentTemplate('15','14','200','1','');
        $i=0;
        foreach ($template->result() as $template)
        {
            if ($i=='0')
            {
                $judul=$template->namatemplate;
                $judul=explode("Kepada",$judul);
                $jnsperkara=$template->jnsperkara;
            }
        }
		$jenisperkara=$this->template2->getDataPerkara($idperkara);
			foreach ($jenisperkara->result() as $row){
				$data['jenisperkara']=$row->jenis_perkara_text;
		}
		
        $data['judul']='BERITA ACARA SIDANG LANJUTAN </br><b>'.$jnsperkara.'<br>'.$data['jenisperkara'].'</b>';
        //$data['judul']="BERITA ACARA SIDANG LANJUTAN </br>".$jnsperkara; //override
        $data['jnsperkara']=$jnsperkara;

       $this->load->view('generate_template/peradilan_agama/popup_bas_lanjutan_agama', $data, FALSE);       
    }

   function cetak_bas_lanjutan_agama(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encjadwalsidang']=$this->input->post('encjadwalsidang',TRUE);
        $data['idjadwal']=$this->encrypt->decode(base64_decode($data['encjadwalsidang']));        
        if(!is_numeric($data['idjadwal']) OR !intval($data['idjadwal'])>0){            
            show_404();
            exit();
        }
		 //cetak 
		$data['blangko_bas_lanjutan_agama'] = $this->input->post('blangko_bas_lanjutan_agama',TRUE);
		
		$filenya="peradilan_agama/bas/lanjutan/".$data['blangko_bas_lanjutan_agama'].".rtf";
		$data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
					'jadwal_sidang_id'=>$data['idjadwal']);    

        $this->load->model('generate_template/var_template_agama','var_template');
        $this->var_template->kirim_variabel($data_id);  
		
        //$data['tglPersidangan'] = $this->input->post('tglPersidangan',TRUE);
        /* $data['blangko_bas_lanjutan_agama'] = $this->input->post('blangko_bas_lanjutan_agama',TRUE);
        
      
        $this->load->model('generate_template/m_template_bas_lanjutan_agama','template');
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPA();
        $data['datapenetapanpanitera']=$this->template->getDataPenetapanPanitera($idperkara);
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['datapaniterapengganti']=$this->template->getDataPP($idperkara);
        $data['datapersidangan']=$this->template->getDataSidang($idperkara);
        $data['dataputusanverstek']=$this->template->getDataPutusanVerstek($idperkara);
        $data['dataputusansela']=$this->template->getDataPutusanSela($idperkara);
        $data['dataAmarIkrar']=$this->template->getDataAmariKRAR($idperkara);
        $data['datamediator']=$this->template->getDataMediator($idperkara);
        $data['dataputusanakhir']=$this->template->getDataPutusan($idperkara);
        $data['dataPihak1']=$this->template->get_data_pihak_loop($idperkara,1);
        $data['dataPihak2']=$this->template->get_data_pihak_loop($idperkara,2);
        $data['dataPihak3']=$this->template->get_data_pihak_loop($idperkara,3);
        $data['dataPihak4']=$this->template->get_data_pihak_loop($idperkara,4);
        $data['dataPihak5']=$this->template->get_data_pihak_loop($idperkara,5);
        $data['dataPengacaraPihak1']=$this->template->get_data_pengacara($idperkara,1);
        $data['dataPengacaraPihak2']=$this->template->get_data_pengacara($idperkara,2);        
        $data['dataPengacaraPihak3']=$this->template->get_data_pengacara($idperkara,3);   

        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');                
        $this->load->view('generate_template/peradilan_agama/cetak_bas_lanjutan_agama',$data,FALSE); */
    }

}
?>